Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
python 2.7 verhält sich komisch [solved]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1124
Location: Baden / Germany

PostPosted: Wed Sep 14, 2011 1:54 pm    Post subject: python 2.7 verhält sich komisch [solved] Reply with quote

Hallo zusammen,

ich habe hier bei python 2.7 ein komisches Verhalten:

Installiert sind die Versionen :

Code:
eselect python list
Available Python interpreters:
  [1]   python2.6 *
  [2]   python2.7
  [3]   python3.1


Wenn ich jetzt 2.7 auswähle :

Code:
eselect python set 2


macht er das auch :

Code:
eselect python list
Available Python interpreters:
  [1]   python2.6
  [2]   python2.7 *
  [3]   python3.1


Aber jetzt geht mein equery nicht mehr :

Code:
equery l python
Traceback (most recent call last):
  File "/usr/bin/equery", line 35, in <module>
    from gentoolkit import equery, errors
ImportError: No module named gentoolkit


Irgendwie komisch! Version 3.1 scheint wiederum zu funktionieren.

Muss ich nach dem Umschalten auf eine andere Version erst den python-updater ausführen oder mach is was anderes falsch.
Hab bisher nicht so viel Erfahrung mit python.
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes


Last edited by tazinblack on Thu Sep 15, 2011 6:34 am; edited 1 time in total
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Wed Sep 14, 2011 1:58 pm    Post subject: Reply with quote

hast du nachdem python 2.7 installiert wurde ein python-updater laufen lassen?
Denn die gentoolikit python module wurden bestimmt nicht für python 2.7 übersetzt.
Mittlerweile wird bei jedem paket, welche python module installiert diese module für jede python version übersetzt, welche sich zum zeitpunkt der installation des paketes auf dem system befinden.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.


Last edited by firefly on Wed Sep 14, 2011 3:32 pm; edited 1 time in total
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1124
Location: Baden / Germany

PostPosted: Wed Sep 14, 2011 2:22 pm    Post subject: Reply with quote

Das kann ich jetzt nicht mehr sicher sagen, aber ich denke dass ich das seiner Zeit vielleicht wirklich vergessen habe.
Hilft es, wenn ich auf 2.7 umschalte und dann erst mal den python-updater laufen lasse?
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Wed Sep 14, 2011 3:45 pm    Post subject: Reply with quote

tazinblack wrote:
Hilft es, wenn ich auf 2.7 umschalte und dann erst mal den python-updater laufen lasse?

ja, sollte helfen. Kannst es ja einfach mal versuchen, mehr als Zeit zum Kompilieren wird es nicht kosten ;)
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1124
Location: Baden / Germany

PostPosted: Thu Sep 15, 2011 6:34 am    Post subject: Reply with quote

Danke, das hat geholfen!

Dann kann ich jetzt ja lospython *g*
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
Knieper
l33t
l33t


Joined: 10 Nov 2005
Posts: 846

PostPosted: Thu Sep 15, 2011 9:45 am    Post subject: Reply with quote

tazinblack wrote:
Dann kann ich jetzt ja lospython *g*

Dann aber in der 3er-Version, nicht dass Du die Skripte später alle anpassen musst...
_________________
Je dümmer desto Gnome/KDE.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum